International Transtar 4070A - snorkel can't be installed on new truck <PTS 8.0>

When I try to install a snorkel on a newly bought truck, it says "This addon requires another addon to be installed." The truck I already had before 8.0 doesn't have that problem, I can install and uninstall the snorkel just fine.

SnowRunner Screenshot 2020.08.24 - 18.26.33.jpg

This stems as far back as late July in early PTS 7 build as seen here - https://forums.focus-home.com/topic/52898/customization-menu-bug-pts-7-2

I don't understand how this never got fixed, yet got broken somehow in that build.